﻿using System.Linq;
using System.Web.Mvc;
using MovieDatabase.Models;

namespace MovieDatabase.Controllers
{
    [HandleError]
    public class HomeAjaxController : Controller
    {
        private MovieDataContext _dataContext = new MovieDataContext();

        public ActionResult Index()
        {
            // Add movie categories to view data
            var categories = new SelectList(_dataContext.MovieCategories.ToList(), "Id", "Name");
            ViewData["categories"] = categories;

            // Add movies to view data
            ViewData.Model = _dataContext.Movies.ToList();

            // Return View
            return View();
        }

        public ActionResult IndexNoJavaScript(FormCollection form)
        {
            var categoryId = int.Parse(form["categories"]);

            // Add movie categories to view data
            var categories = new SelectList
                (
                    _dataContext.MovieCategories.ToList(),
                    "Id",
                    "Name",
                    categoryId
                );
            ViewData["categories"] = categories;

            // Add movies to view data
            var movies = from m in _dataContext.Movies
                         where m.CategoryId == categoryId
                         select m;
            ViewData.Model = movies.ToList();

            // Return view
            return View("Index");
        }


        public ActionResult Movies(int id)
        {
            // Add movies to view data
            var movies = from m in _dataContext.Movies
                         where m.CategoryId == id
                         select m;

            return Json(movies.ToList());
        }



    }
}
