﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Index.aspx.cs" Inherits="MovieDatabase.Views.HomeAjax.Index" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Home Ajax</title>
    <link href="../../Content/Site.css" rel="stylesheet" type="text/css" />

    <script src="../../Content/MicrosoftAjax.debug.js" type="text/javascript"></script>
    <script src="../../Content/MicrosoftAjaxTemplates.debug.js" type="text/javascript"></script>
    <script src="../../Content/jquery-1.2.6.js" type="text/javascript"></script>
    
    <script type="text/javascript">

        var movieView;

        $(pageReady);

        function pageReady()
        {
            // Initialize client DataView control
            movieView = $create(Sys.UI.DataView, {}, {}, {}, $get("movieContainer"));
            movieView.set_template($get("movieTemplate"));
            
            // Initialize change event handler
            $("#categories").change(selectCategory);
        }


        function selectCategory(e)
        {            
            // Slide up movies table
            $("#divMovies").slideUp("slow", invokeAction);
        }


        function invokeAction()
        {

            // Get category Id
            var categoryId = $("#categories").val();

            // Invoke MVC controller action
            $.getJSON("/HomeAjax/Movies/" + categoryId, bindMovies);
        }
        
        
        function bindMovies(movieData)
        {
            // Set data
            movieView.set_data(movieData);

            // Slide down movies table
            $("#divMovies").slideDown("slow");            
        }
    
    
    </script>
    
</head>
<body>
    <div>
    
    <%= DateTime.Now.ToString("T") %>
    
    
    <form method="post" action="/HomeAjax/IndexNoJavaScript">
        <%= Html.DropDownList("Select Category", "categories") %>   
        <input type="submit" value="select" />
    </form>
    
    
    <div id="divMovies">
        <table id="movies">
        <thead>
        <tr>
            <th>Id</th>
            <th>Title</th>
            <th>Director</th>
        </tr>
        </thead>
        <tbody id="movieContainer">
        <% foreach (var m in ViewData.Model)
           { %>
        <tr>
            <td><%= m.Id %></td>
            <td><%= m.Title %></td>
            <td><%= m.Director %></td>        
        </tr>
        <% } %>
        </tbody>
        </table>
    </div>
    
    <table style="display:none">
    <tbody id="movieTemplate">
        <tr>
            <td>{{Id}}</td>
            <td>{{Title}}</td>
            <td>{{Director}}</td>
        </tr>
    </tbody>    
    </table>

    
    </div>
</body>
</html>
