﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="6_Failover.aspx.cs" Inherits="Website.__Failover" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Server-Side</title>
    <link href="Site.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
       
    <asp:ScriptManager
        id="sm1"
        Runat="server">
        <Services>
            <asp:ServiceReference Path="~/MovieService.asmx" />
        </Services>
        <Scripts>
            <asp:ScriptReference Path="~/Scripts/MicrosoftAjaxTemplates.debug.js" />
        </Scripts>
    </asp:ScriptManager>

    <script type="text/javascript">

        var movieView;

        function pageLoad()
        {
            movieView = $create(Sys.UI.DataView, {}, {}, {}, $get("movieBody"));
            movieView.set_itemTemplate($get("movieTemplate"));

            $addHandler($get("ddlCategory"), "change", showMovies);
        }

        function showMovies()
        {
            var categoryId = $get("ddlCategory").value;
            Website.MovieService.GetMovies(categoryId, showMoviesComplete);
        }

        function showMoviesComplete(data)
        {
           movieView.set_data(data);
        }
    
    </script>

  
    
    <asp:DropDownList
        id="ddlCategory"
        DataSourceID="srcCategories"
        DataTextField="Name"
        DataValueField="Id"
        Runat="server" />
        
    <asp:Button
        Text="Select"
        Runat="server" />    
    
    <asp:SqlDataSource
        id="srcCategories"
        SelectCommand="SELECT Id, Name FROM MovieCategories"
        ConnectionString="<%$ ConnectionStrings:conMovies %>"
        Runat="server" />
    
    <br /><br />

    <asp:ListView
        id="grdMovies"
        DataSourceID="srcMovies"
        Runat="server">
        <LayoutTemplate>
        <table>
        <thead>
            <tr>
                <th>Title</th><th>Director</th><th>Date Released</th>
            </tr>
        </thead>
        <tbody id="movieBody">
            <asp:Placeholder id="itemPlaceholder" runat="server"/>        
        </tbody>
        </table>
        </LayoutTemplate>
        <ItemTemplate>
            <tr>
                <td><%# Eval("Title") %></td>
                <td><%# Eval("Director") %></td>
                <td><%# Eval("DateReleased", "{0:D}") %></td>                
            </tr>
        </ItemTemplate>
    </asp:ListView>    
    
    <asp:SqlDataSource
        id="srcMovies"
        SelectCommand="SELECT Title, Director, DateReleased 
            FROM Movies WHERE CategoryId = @CategoryId"
        ConnectionString="<%$ ConnectionStrings:conMovies %>"
        Runat="server">
        <SelectParameters>
            <asp:ControlParameter
                Name="CategoryId"
                ControlID="ddlCategory" />
        </SelectParameters>
    </asp:SqlDataSource>    

    <br />
    Page Generated: <%= DateTime.Now.ToString("T") %>
    
    </div>
    </form>
    
        
    <table style="display:none">
    <tbody id="movieTemplate">
        <tr>
            <td>{{Id}}</td>
            <td>{{Title}}</td>
            <td>{{Director}}</td>
        </tr>
    </tbody>    
    </table>
    
    
</body>
</html>
